classification
Title: "keys and values" preferred to "keys and elements" for dict constituent
Type: Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cocoatomo, docs@python, inada.naoki
Priority: normal Keywords:

Created on 2017-03-31 03:40 by cocoatomo, last changed 2017-04-22 03:10 by cocoatomo. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 917 merged cocoatomo, 2017-03-31 05:40
PR 922 merged inada.naoki, 2017-03-31 06:35
PR 923 merged inada.naoki, 2017-03-31 06:36
PR 924 merged inada.naoki, 2017-03-31 06:37
Messages (5)
msg290890 - (view) Author: Tomohiko Kinebuchi (cocoatomo) * Date: 2017-03-31 03:40
In the section "6.10.1. Value comparisons" [1]_::

   Equality comparison of the keys and elements enforces reflexivity.

would be

   Equality comparison of the keys and values enforces reflexivity.

because we usually call an entry of dict as "key-value pair".

.. [1] https://docs.python.org/3.6/reference/expressions.html#value-comparisons
msg290895 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-03-31 05:48
New changeset cdcac039fb447f2ab04efcacbe663751bb2cb4ec by INADA Naoki (cocoatomo) in branch 'master':
bpo-29952: Use usual terminology of dict (GH-917)
https://github.com/python/cpython/commit/cdcac039fb447f2ab04efcacbe663751bb2cb4ec
msg290898 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-03-31 06:43
New changeset 4c75fbb485c0e42181aab95c2ae92c597915827c by INADA Naoki in branch '3.6':
bpo-29952: Use usual terminology of dict  (GH-922)
https://github.com/python/cpython/commit/4c75fbb485c0e42181aab95c2ae92c597915827c
msg290899 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-03-31 06:43
New changeset f3158121132a1519439bf4c7dba3333b07802d6d by INADA Naoki in branch '3.5':
bpo-29952: Use usual terminology of dict (GH-923)
https://github.com/python/cpython/commit/f3158121132a1519439bf4c7dba3333b07802d6d
msg290900 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-03-31 06:53
New changeset 5aa913d72317d7632781fb71a7b45a2b5e31558e by INADA Naoki in branch '2.7':
bpo-29952: Use usual terminology of dict (GH-924)
https://github.com/python/cpython/commit/5aa913d72317d7632781fb71a7b45a2b5e31558e
History
Date User Action Args
2017-04-22 03:10:23cocoatomosetstatus: open -> closed
resolution: fixed
stage: resolved
2017-04-01 00:09:48terry.reedysettitle: "keys and values" is preferred to "keys and elements" for name of dict constituent -> "keys and values" preferred to "keys and elements" for dict constituent
2017-03-31 06:53:27inada.naokisetmessages: + msg290900
2017-03-31 06:43:37inada.naokisetmessages: + msg290899
2017-03-31 06:43:12inada.naokisetmessages: + msg290898
2017-03-31 06:37:43inada.naokisetpull_requests: + pull_request821
2017-03-31 06:36:12inada.naokisetpull_requests: + pull_request820
2017-03-31 06:35:15inada.naokisetpull_requests: + pull_request819
2017-03-31 05:48:51inada.naokisetnosy: + inada.naoki
messages: + msg290895
2017-03-31 05:40:43cocoatomosetpull_requests: + pull_request818
2017-03-31 03:40:13cocoatomocreate